default_css = '''
@page {
    margin-left: 20px;
    margin-right:20px;
    margin-top:20px;
    margin-bottom:5px
}

.h0 {   
    font-size: 140%;
    font-weight: bold;
    margin-bottom: 1em;
}

.h1 {
    font-size: 120%;
    font-weight: bold;
    margin-bottom: 1em;
}

.h2 {
    font-size: 120%;
    font-weight: bold;
    margin-bottom: 1em;
}

.h3 {
    font-size: 120%;
    font-weight: bold;
    margin-bottom: 1em;
}

.h4 {
    font-size: 120%;
    font-weight: bold;
    text-align: center;
    margin-bottom: 1em;
}

.h5 {
    font-size: 120%;
    font-weight: bold;
    text-align: center;
    margin-bottom: 1em;
}

.h6 {
    font-size: 120%;
    font-weight: bold;
    text-align: center;
    margin-bottom: 1em;
}


.titleblock {
    text-indent: 0em;
    page-break-before: always;
    margin-top: 2em;
    margin-bottom: 1em;
}

.titlenotes {
    font-size: 100%;
    font-weight: bold;
    margin-top: 1em;
    margin-bottom: 0.5em;
    page-break-after: avoid;
}

.titlenotes p {
    text-indent: 0;
    text-align: center;    
}

.indent0 { margin-left: 0pt; text-align: left; }
.indent1 { margin-left: 10pt; text-align: left; }
.indent2 { margin-left: 20pt; text-align: left; }
.indent3 { margin-left: 30pt; text-align: left; }
.indent4 { margin-left: 40pt; text-align: left; }
.indent5 { margin-left: 40pt; text-align: left; }
.indent6 { margin-left: 40pt; text-align: left; }


.anchor {
    vertical-align: super;
    font-size: 70%;
}

.inlineanchor {
    display: none;
}

.blockanchor {
    vertical-align: super;
    font-size: 70%;
}


.emphasis {
    font-style: italic;
}

.strong {
    font-weight: bold;
}
.strike {
    text-decoration: line-through;
}

.epigraph {
    margin-left: 4em;
    text-align: right;
    margin-top: 0.4em;
    margin-bottom: 0.2em;
    font-style: italic;
}
.text-author {
    page-break-before: avoid;
    text-align: right;
    font-weight: bold;
}

.subtitle {
    page-break-after: avoid;
    text-align: center;
    text-indent: 0em;
    font-weight: bold;
    margin-bottom: 0.5em;
    margin-top: 1em;
}

p {
    text-indent: 1em;
    margin-bottom: 0pt;
    margin-top: 0pt;
    text-align: justify;
}

p.title {
    text-indent: 0em;
    text-align: center;
}

.cite {
    font-style: italic;
    text-indent: 1em;
    margin-bottom: 0.3em;
    margin-top: 0.3em;
}

.image {
    text-indent: 0em;
    text-align: center;
}
.image img {
    max-width:100%; 
    max-height:100%;
}

.poem {
    text-indent: 0em;
    margin-left: 3em;
    margin-bottom: 0em;
    margin-top: 0em;
    font-style: italic;
}

.stanza {
    margin-bottom: 0.5em;
}

.poem p {
    margin-bottom: 0em;
    margin-top: 0em;
}

.table {
    width: 100%;
    border: 1px solid black;
    border-collapse: collapse;
}

.table th {
    border: 1px solid black;
    background: #ccc;
}

.table td {
    border: 1px solid black;
}

.code {
    margin-bottom: 0em;
    margin-top: 0em;
}

.inlineimage {}

.inlinenote {
    font-style: italic;
    font-size: 80%;
    color: #6e6e6e;
}

.blocknote {
    font-style: italic;
    font-size: 80%;
    border-radius: 4px; 
    background: #e6e6fa; 
    padding: 2px; 
    border: 1px #505050 solid;  
}

.notenum {
 font-weight: bold;
}

.annotation {
    margin-right: 1em;
    margin-left: 1em;
    font-size: 80%;
    text-align: center;
    margin-top: 2em;
    margin-bottom: 1em;
}

span.dropcaps {
    font-weight: bold;
    font-size: 4em;
    float: left;
    margin-top: -.1em;
    margin-bottom: -.1em;
    margin-right: .1em;
    padding-right: .1em;
}

p.dropcaps {
    text-indent: 0;
}

.vignette_title_before {
    text-indent: 0;
    text-align: center;
    page-break-after: avoid;
    margin-bottom: 0;
}

.vignette_title_after {
    text-indent: 0;
    text-align: center;
    page-break-before: avoid;
    margin-top: 0;
    margin-bottom: 0;
}

.vignette_chapter_end {
    text-indent: 0;
    font-size: 200%;
    text-align: center;
    page-break-before: avoid;
    page-break-inside: avoid;
    margin-top: 2em;
    margin-bottom: 0;
}

'''